Subject: bug#76765: 30.1; macOS dictation used to work with Emacs < 30.1

From: Charles Choi <[email-masked]>
Date: Tue, 11 Mar 2025 19:37:43 -0700

To clarify, all my reported behavior is with the GNU NS-variant of Emacs. macOS voice dictation worked for me in 29.4. It does not in 30.1.

I have not used the Yamamoto fork in over a year and it is not installed on my system.

All builds that I have been using have come from MacPorts package emacs-app.  https://ports.macports.org/port/emacs-app/details/

Regards -

-Charles

—
Charles Y. Choi, Ph.D.
[email-masked]

> On Mar 11, 2025, at 6:18 AM, Ship Mints <[email-masked]> wrote:
> 
> The discussion with a few users who have the same experience can be seen here https://www.reddit.com/r/emacs/comments/1j4639s/osx_dictation_fails_with_emacs_301/
> 
> I have a feeling they were using the Mitsuharu Yamamoto "emacs-mac" implementation and not GNU Emacs (looks like JD Smith is rejuvenating emacs-mac with a 30.1 merge).  I'm still awaiting more precise information on which builds were being used and I pinged them again, today.
> 
> -Stephane